Ticket #42924

Fixes for regression bugs or other issues

Open Date: 2021-09-26 04:23 Last Update: 2021-10-24 03:02

Reporter:
(Anonymous)
Owner:
(None)
Type:
Status:
Open
Component:
(None)
MileStone:
(None)
Priority:
7
Severity:
5 - Medium
Resolution:
None
File:
17

Details

As we're set to release another official beta of 3.1, this is where any fixes for regression bugs or other issues will go if they're found.

Ticket History (3/29 Histories)

2021-09-26 04:23 Updated by: None
  • New Ticket "Fixes for regression bugs or other issues" created
2021-09-26 23:38 Updated by: torr_samaho
Comment

Quick question on 10567: Did you test that the "-1" part of the following construction really works? GAMEMODE_e newmode = static_cast<GAMEMODE_e>( GetValueGAMEMODE_e( name )); // AK No need to change the game mode if it's invalid or if we're already playing it. if (( newmode == -1 ) || ( newmode == oldmode )) return 0; While GetValueGAMEMODE_e can return an int with value -1, -1 does not seem to be a valid value for the type GAMEMODE_e. So I'm not sure what static_cast<GAMEMODE_e> will do with such a -1. To be on the save side, you could check if GetValueGAMEMODE_e returned -1. If that's the case, return otherwise cast the returned value to GAMEMODE_e.

2021-09-27 00:30 Updated by: akmdm
Comment

Reply To torr_samaho

Quick question on 10567: Did you test that the "-1" part of the following construction really works? GAMEMODE_e newmode = static_cast<GAMEMODE_e>( GetValueGAMEMODE_e( name )); // AK No need to change the game mode if it's invalid or if we're already playing it. if (( newmode == -1 ) || ( newmode == oldmode )) return 0; While GetValueGAMEMODE_e can return an int with value -1, -1 does not seem to be a valid value for the type GAMEMODE_e. So I'm not sure what static_cast<GAMEMODE_e> will do with such a -1. To be on the save side, you could check if GetValueGAMEMODE_e returned -1. If that's the case, return otherwise cast the returned value to GAMEMODE_e.

I did test if it would work (tried passing fake or invalid game mode names into SetCurrentGamemode) and the return value would always be '0'. If I passed a valid game mode name into the function which wasn't already the current game mode, then it would return '1'. In any case, I re-uploaded 10567 which guarantees that the logic above always works without creating undefined behaviour.

2021-09-27 02:00 Updated by: akmdm
Comment

I made some improvements to the "GameSettings" and "LockedGameSettings" features in GAMEMODE (10569-10572). Most notably, I added "DefaultGameSettings" and "DefaultLockedGameSettings" blocks which enables/disables flags across all game modes. This is useful for mods that are played on more than one game mode and require the same flags to be on or off universally.

2021-09-27 04:38 Updated by: torr_samaho
Comment

Thanks for the new patches and the updates to them! They should be all in our main repo now.

2021-10-04 02:17 Updated by: akmdm
Comment

I added a bunch of new patches (inside "Patches - 2021 10 03.zip"), based on some of the testing and feedback we got last week. Most notably, I fixed serverinfo CVars that were entered on the command line not being applied properly, and fixed the scoreboard not displaying all the columns properly.

2021-10-04 04:48 Updated by: torr_samaho
Comment

Thanks for the new patches! I added all except for 10578 and 10580, as we just discussed on IRC.

2021-10-04 04:57 Updated by: torr_samaho
Comment

Thanks for the updated patches! I added both of them.

2021-10-10 21:12 Updated by: akmdm
Comment

I uploaded a bunch of new patches from this week, addressing some of the issues encountered during testing. I will have more patches to upload later today.

EDIT: 10588 doesn't respect lms_spectatorchat though it's acceptable anyways. The private message was intended for the server host, not specifically for the RCON client. The RCON client only receives these messages so they can communicate with players who privately message the server more effectively, and the players usually don't know who has RCON access.

EDIT 2: There's been some reports about people getting low FPS in 3.1. I think I recall that on my old PC, I got lower FPS in some cases than I normally would in 3.0. I'm a little suspicious that this commit: http://hg.osdn.net/view/zandronum/zandronum-stable/rev/ea2f3cf2ebc6 might be the cause, but would like to check it out more just to be sure.

(Edited, 2021-10-10 21:32 Updated by: akmdm)
2021-10-17 14:39 Updated by: akmdm
Comment

From the discussion we had during our last meeting, I touched up on the private chat mode so that spectators cannot send private messages to the server while the chat is restricted. It doesn't seem important to restrict the private message when the server is sending to a spectator, though.

2021-10-18 04:26 Updated by: torr_samaho
Comment

Thanks! I added the new patches.

2021-10-24 03:02 Updated by: akmdm
Comment

Due to not many people understanding how the private chat mode works, I added a message that tells the user how to change the player they want to send a private message to, if they're in the middle of typing one. This only appears if there's at least one other valid player to send the message to (i.e. no bots or the server).

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login